Save customers
curl --request POST \
--url https://sandbox.tight.com/v6/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"name": "Acme Corp",
"id": "cus_28868401",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"[\"cc@acme.com\"]"
],
"bccEmails": [
"[\"bcc@acme.com\"]"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/customers"
payload = { "data": [
{
"name": "Acme Corp",
"id": "cus_28868401",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": ["[\"cc@acme.com\"]"],
"bccEmails": ["[\"bcc@acme.com\"]"],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": True,
"showBusinessName": True,
"showName": True,
"showEmail": True,
"showAddress": True,
"showPhoneWork": True
},
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
name: 'Acme Corp',
id: 'cus_28868401',
status: 'ACTIVE',
additionalContactName: 'Jane Smith',
businessName: 'Acme Corporation LLC',
email: 'billing@acme.com',
ccEmails: ['["cc@acme.com"]'],
bccEmails: ['["bcc@acme.com"]'],
invoiceSettings: {
invoicePrefix: 'INV-',
showAdditionalContactName: true,
showBusinessName: true,
showName: true,
showEmail: true,
showAddress: true,
showPhoneWork: true
},
address: {
state: '<string>',
city: '<string>',
zip: '<string>',
phoneWork: '<string>',
address1: '<string>',
address2: '<string>'
},
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Customers
Save customers
Save new (or update existing) customers
POST
/
v6
/
customers
Save customers
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I